Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.ix.jspTutorial.controller
Class RequestInfo

    java.lang.Object
      |
      +--de.ix.jspTutorial.controller.RequestInfo

public class RequestInfo
extends java.lang.Object
implements RequestParameterConstants

This helper class delivers all the required parameters for a given request.

Version:
  $Id:$
Author:
  Peter Rossbach (pr@webapp.de), Lars Röwekamp ( lars.roewekamp@openKnowledge.de)

Field Summary
`static java.lang.String` | `vcid` version of source

Fields inherited from interface de.ix.jspTutorial.constants.RequestParameterConstants
`CUS_ADDRESS1, CUS_ADDRESS2, CUS_EMAIL, CUS_FIRSTNAME, CUS_ID, CUS_LASTNAME, CUS_TOWN, CUS_ZIP, DO_ACTION, DO_CHOICE, DO_CHOICE_PARAMS, DO_LOGIN, DO_LOGIN_PARAMS, DO_LOGOUT, DO_ORDER, DO_ORDER_PARAMS, ERROR, INGREDIENT_IDS, MIP_ERROR, PIZZA_ID, REQUESTED_URL, SHOW_CHOICE, SHOW_LOGIN`

Constructor Summary
`RequestInfo()` default constructor

Method Summary
`java.util.Enumeration` | `getParamNames(java.lang.String action)` Get the reuired parameters for a given request.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### vcid

    public static java.lang.String vcid

  version of source

Constructor Detail

### RequestInfo

    public RequestInfo()

  default constructor

Method Detail

### getParamNames

    public java.util.Enumeration getParamNames(java.lang.String action)

  Get the reuired parameters for a given request.
  Parameters:
    `action` - Given request
  Returns:
    Enumeration of required parameters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~